Subject: bug#10842: Cancelling a new mail in message-mode ignores rmail-mail-new-frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Sep 2019 11:32:29 +0200

Glenn Morris <[email-masked]> writes:

> I don't know how to explain it any better than in the OP.
> The intent of the Rmail code is that discarding a draft should delete
> the frame. It works with mail mode but not message mode.

Message has two ways of returning to the caller (while not sending
anything).  message-dont-send runs RETURN-ACTION (which is presumably
what Rmail uses to close the frame etc), while message-kill-buffer does
not run RETURN-ACTION.

I don't see how to reconcile that on the Message side.

Rmail could set message-kill-actions to whatever it wants, which is why
I think this is an Rmail bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no